package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(IISLSingleSpaceReadOnlySetMethods_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public interface IISLSingleSpaceReadOnlySetMethods  extends IISLSingleSpaceReadOnlyMethods, IISLStandardSetMethods {
	
	
	/*** PROTECTED REGION ID(IISLSingleSpaceReadOnlySetMethods_userCode) ENABLED START ***/
	public default List<String> getIndexNames() {
		return getDimNames(ISLDimType.isl_dim_set);
	}

	public default String getIndexName(int i) {
		return getDimName(ISLDimType.isl_dim_set, i);
	}
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	
}
